local function OnAddOnLoaded(eventCode, addOnName)
	if (addOnName ~= "JPGScreenshot") then
		return
	end
	
	local lc = GetCVar("language.2")
	
	local jpgs_setting		= "JPGScreenshot setting"
	local ssformat			= "Screenshot file format"
	local ssformatd			= "Select the file format for screenshots."
	
	if lc == "de" then
		local jpgs_setting	= "JPGScreenshot Einstellung"
		local ssformat		= "Screenshot-Format"
		local ssformatd		= "Whle das Datei Format fr Screenshots."
	end
	
	LAM = LibStub:GetLibrary("LibAddonMenu-1.0")
	JPGS = LAM:CreateControlPanel("JPGSpanel", "JPGScreenshot")
		LAM:AddHeader(JPGSpanel, "JPGScontrol", jpgs_setting)
			LAM:AddDropdown(JPGS, "ScreenshotFormat", ssformat, ssformatd, {"BMP", "JPG"}, function() return GetCVar("ScreenshotFormat") end, function(var) SetCVar("ScreenshotFormat", var) end, false, "")
			
	EVENT_MANAGER:UnregisterForEvent("JPGScreenshot", EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent("JPGScreenshot", EVENT_ADD_ON_LOADED, OnAddOnLoaded)